> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gnosispay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Transactions (without pagination)

> This endpoint is deprecated. Please use [/api/v1/cards/transactions](#/Transactions/get_api_v1_cards_transactions) instead. Retrieves transactions for all activated cards of the authenticated user




## OpenAPI

````yaml https://api.gnosispay.com/api-docs/spec.json get /api/v1/transactions
openapi: 3.0.0
info:
  title: GnosisPay API
  version: 1.0.0
  description: OpenAPI documentation for GnosisPay
servers:
  - url: https://api.gnosispay.com
security: []
tags:
  - name: Account Management
    description: Information about your Account
  - name: Authentication
    description: Authenticate to our API using SIWE
  - name: Card Management
    description: Manage all your Cards
  - name: IBAN
    description: Integrate with Monerium to issue IBANs
  - name: KYC
    description: KYC using Sumsub SDK
  - name: Physical Card Order
    description: Order a Physical Card and manage the process
  - name: Rewards
    description: Cashback Rewards
  - name: Safe Management
    description: Manage your Safe
  - name: Transactions
    description: Manage Card Transactions
  - name: User
    description: Manage User Information
  - name: Webhooks
    description: Manage Webhooks
paths:
  /api/v1/transactions:
    get:
      tags:
        - Transactions
      summary: List Transactions (without pagination)
      description: >
        This endpoint is deprecated. Please use
        [/api/v1/cards/transactions](#/Transactions/get_api_v1_cards_transactions)
        instead. Retrieves transactions for all activated cards of the
        authenticated user
      parameters:
        - in: query
          name: cardTokens
          schema:
            type: string
          description: Comma-separated list of card tokens
        - in: query
          name: before
          schema:
            type: string
            format: date-time
          description: >-
            Filter transactions before this date (ISO 8601 format, e.g.,
            "2023-04-01T00:00:00Z")
        - in: query
          name: after
          schema:
            type: string
            format: date-time
          description: >-
            Filter transactions after this date (ISO 8601 format, e.g.,
            "2023-03-01T00:00:00Z")
        - in: query
          name: billingCurrency
          schema:
            type: string
          description: Filter by billing currency code
        - in: query
          name: transactionCurrency
          schema:
            type: string
          description: Filter by transaction currency code
        - in: query
          name: mcc
          schema:
            type: string
          description: Filter by Merchant Category Code (MCC)
        - in: query
          name: transactionType
          schema:
            type: string
          description: >-
            Filter by transaction type code (e.g., "00" for Purchase, "01" for
            Withdrawal)
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Event'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '500':
          $ref: '#/components/responses/InternalServerError'
      deprecated: true
      security:
        - bearerAuth: []
components:
  schemas:
    Event:
      oneOf:
        - $ref: '#/components/schemas/Payment'
        - $ref: '#/components/schemas/Refund'
        - $ref: '#/components/schemas/Reversal'
    Payment:
      allOf:
        - $ref: '#/components/schemas/BasePaymentish'
        - type: object
          properties:
            kind:
              type: string
              enum:
                - Payment
            status:
              type: string
              enum:
                - Approved
                - IncorrectPin
                - InsufficientFunds
                - ExceedsApprovalAmountLimit
                - InvalidAmount
                - PinEntryTriesExceeded
                - IncorrectSecurityCode
                - Reversal
                - PartialReversal
                - Other
    Refund:
      allOf:
        - $ref: '#/components/schemas/BasePaymentish'
        - type: object
          properties:
            kind:
              type: string
              enum:
                - Refund
            refundAmount:
              type: string
              description: A BigInt value represented as a string
            refundCurrency:
              $ref: '#/components/schemas/Currency'
    Reversal:
      allOf:
        - $ref: '#/components/schemas/BasePaymentish'
        - type: object
          properties:
            kind:
              type: string
              enum:
                - Reversal
            reversalAmount:
              type: string
              description: A BigInt value represented as a string
            reversalCurrency:
              $ref: '#/components/schemas/Currency'
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message
          example: Internal server error
    BasePaymentish:
      type: object
      properties:
        threadId:
          type: string
          description: Thread ID for the transaction
          example: '1234567890'
        createdAt:
          type: string
          format: date-time
        clearedAt:
          type: string
          format: date-time
          nullable: true
          description: Date of the latest clearing record of the transaction
        country:
          $ref: '#/components/schemas/Country'
        isPending:
          type: boolean
          description: >
            Whether the transaction is pending settlement.

            - For Payments: true when authorized but not yet cleared, false when
            settled

            - For Refunds: can be true if additional clearing steps are pending,
            typically false since they require both auth + clearing to appear

            - For Reversals: typically false as they're usually processed
            quickly
        impactsCashback:
          type: boolean
          nullable: true
          description: >
            Indicates whether this transaction impacted cashback eligibility:

            - `true`: Transaction was eligible for and impacted cashback

            - `false`: Transaction did not impact cashback (not eligible)

            - `null`: Unable to determine (e.g., before user accepted cashback
            terms)
        mcc:
          type: string
        merchant:
          type: object
          properties:
            name:
              type: string
            city:
              type: string
            country:
              $ref: '#/components/schemas/Country'
        billingAmount:
          type: string
          description: A BigInt value represented as a string
        billingCurrency:
          $ref: '#/components/schemas/Currency'
        transactionAmount:
          type: string
          description: A BigInt value represented as a string
        transactionCurrency:
          $ref: '#/components/schemas/Currency'
        transactionType:
          type: string
          description: >
            First 2 digits of the DE3 field (ISO 8583), representing the
            transaction type code.

            Common values include (not limited to):

            - "00": Purchase (POS)

            - "01": Withdrawal (ATM)

            - "10": Account Funding

            - "20": Return of Goods

            - "28": Prepaid Load

            - "30": Balance Inquiry

            - "70": PIN Change

            - "72": PIN Unblock
        cardToken:
          type: string
          description: The token identifying the card used for this transaction
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/Transaction'
    Currency:
      type: object
      properties:
        symbol:
          type: string
        code:
          type: string
        decimals:
          type: integer
        name:
          type: string
    Country:
      type: object
      properties:
        name:
          type: string
        numeric:
          type: string
        alpha2:
          type: string
        alpha3:
          type: string
    Transaction:
      type: object
      properties:
        status:
          type: string
          enum:
            - Unsubmitted
            - Unconfirmed
            - ExecReverted
            - ExecSuccess
        to:
          type: string
        value:
          type: string
          description: A BigInt value represented as a string
        data:
          type: string
        hash:
          type: string
          nullable: true
  responses:
    UnauthorizedError:
      description: Unauthorized Error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````